ed (1.14.2-2) unstable; urgency=medium

  * Remove the Testsuit field, since d/tests/control exists
  * Move Multi-Arch field to binary package section (Closes: #893390)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Mar 2018 18:11:37 +0500

ed (1.14.2-1) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * dh_auto_configure sets --info-dir, obsoleting d/patches and d/info
  * Instead of exporting DEB_BUILD_MAINT_OPTIONS, show *FLAGS in the log
  * Configure with --bindir in order to install executables into /bin as before
  * Declare Standards-Version 4.1.3
  * Update copyright file (upstream contacted to clarify GPL version,
    see https://lists.gnu.org/archive/html/bug-ed/2018-01/msg00000.html)

  [ Lev Lamberov ]
  * New upstream version 1.14.2
  * More updates to d/copyright
  * Restore Multi-Arch: foreign
  * Use HTTPS in Homepage field
  * Add Testsuit and Vcs-{Git,Browser} fields
  * Rearrange fields a bit

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 15 Mar 2018 19:02:25 +0500

ed (1.10-3) unstable; urgency=medium

  * Migrate to dh 11
  * Migrate to 3.0 (quilt) format (Closes: #668352)
  * Convert patch from dpatch to quilt
  * Add myself as an uploader
  * Get rid of Multi-Arch: foreign

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 08 Jan 2018 23:02:09 +0500

ed (1.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: add build-arch target to ensure patches
    get applied (Closes: #799702)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 20 Feb 2016 12:49:56 +0000

ed (1.10-2) unstable; urgency=medium

  * enable DEB_BUILD_MAINT_OPTIONS = hardening=+all

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 25 Feb 2014 21:58:25 +0100

ed (1.10-1) unstable; urgency=medium

  * New upstream version 1.10
  * New Standards-Version 3.9.5

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 25 Feb 2014 10:46:53 +0100

ed (1.9-2) unstable; urgency=low

  * move ed and red back to /bin/ as FHS requires ed to exist in /bin
    (Closes: #714494, #714536)

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 16 Jul 2013 17:46:00 +0200

ed (1.9-1) unstable; urgency=low

  * New upstream version 1.9

 -- Martin Zobel-Helas <zobel@debian.org>  Thu, 27 Jun 2013 20:37:40 +0200

ed (1.9~rc1-2) unstable; urgency=low

  * Since version 1.5 red is a 'ed --restricted' call, with a script for
    red. And we should ship that one. Thanks to Antonio Diaz Diaz for
    spotting this issue.

 -- Martin Zobel-Helas <zobel@debian.org>  Mon, 03 Jun 2013 01:15:36 +0200

ed (1.9~rc1-1) unstable; urgency=low

  * New upstream version 1.9 RC1
    This might fix our build failures, thus: (Closes: #640341, #680801)
  * Bump Standards-Version, no changes needed.

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 01 Jun 2013 11:57:05 +0200

ed (1.8-1) unstable; urgency=low

  * New upstream version 1.7
  * New upstream version 1.8
  * Add multiarch metadata (Closes: #693824, #683045)

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 05 May 2013 12:44:15 +0200

ed (1.6-2) unstable; urgency=low

  * Enable hardening build flags.
  * Bump Standards-Version, no changes needed.
  * Add lintian overwrite for build-depends-on-obsolete-package.

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 29 May 2012 15:32:44 +0200

ed (1.6-1) unstable; urgency=low

  * Imported Upstream version 1.6

 -- Martin Zobel-Helas <zobel@debian.org>  Mon, 02 Jan 2012 16:56:21 +0100

ed (1.5-3) unstable; urgency=low

  * uuuups, that should not have gone to unstanle
    removed ed Provides: editor

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 04 Sep 2011 13:53:47 +0200

ed (1.5-2) unstable; urgency=low

  * ed Provides: editor
  * fix lintian warning description-synopsis-starts-with-article
  * bump Standards-Version, no changes needed.

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 04 Sep 2011 13:01:49 +0200

ed (1.5-1) experimental; urgency=low

  * Imported Upstream version 1.5
  * updated Makefile.in patch
  * Bump Standards-Version, no changes needed.
  * add debian/source/format
  * add debian/watch
  * update to newer debhelper (Closes: #577122)
  * add README.source and fix patches/ to please lintian

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 14 Sep 2010 23:49:59 +0200

ed (1.4-3) unstable; urgency=low

  * debian/control: move Provides to the correct place.

 -- Martin Zobel-Helas <zobel@debian.org>  Sun, 03 Oct 2010 14:05:26 +0200

ed (1.4-2) unstable; urgency=low

  * debian/control: ed Provides: editor
  * debian/control: Build-depend on newer debhelper (Closes: #577122)

 -- Martin Zobel-Helas <zobel@debian.org>  Wed, 15 Sep 2010 09:00:58 +0200

ed (1.4-1) unstable; urgency=low

  * New Upstream Version
    Fixes documentation (Closes: #190907)

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 14 Jul 2009 11:53:23 +0200

ed (1.3-4) unstable; urgency=low

  * Hopefully fix debian/rules for now. (Closes: #531461)
  * Do not ship /usr/share/info/dir.* (Closes: #531545).

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 02 Jun 2009 11:39:08 +0200

ed (1.3-3) unstable; urgency=low

  * Proper binary target needed for the buildds. (Closes: #531461).

 -- Martin Zobel-Helas <zobel@debian.org>  Mon, 01 Jun 2009 21:37:43 +0200

ed (1.3-2) unstable; urgency=low

  * removed all unneeded patches from debian/patches
  * renamed 08_ubuntu-doc-typo-fix.dpatch to
    01_ubuntu-doc-typo-fix.dpatch. Last patch not yet upstream.
  * Bump Standards Version to 3.8.1.0.
  * Change priority to optional (Closes: #416585).

 -- Martin Zobel-Helas <zobel@debian.org>  Mon, 01 Jun 2009 14:53:16 +0200

ed (1.3-1) experimental; urgency=low

  * New Upstream version 1.3 (Closes: #451625, #456907, #219699)
  * move debian/rules to debhelper 7, thanks KiBi for your help.
    + remove all patches for now, might add them back later.
    (Closes: #436779)
  * Add homepage field to debian/control (Closes: #506234)
  * Capitalize UNIX in debian/control (Closes: #438496)
  * Add cross build support (Closes: #451175)

 -- Martin Zobel-Helas <zobel@debian.org>  Fri, 29 May 2009 22:47:41 +0200

ed (0.7-3) unstable; urgency=low

  * Apply 08_ubuntu-doc-typo-fix.dpatch to fix spelling/grammar mistake.
    Closes: #505729

 -- Martin Zobel-Helas <zobel@debian.org>  Sat, 15 Nov 2008 23:11:20 +0100

ed (0.7-2) unstable; urgency=high

  * Upload by new maintainer, thanks to James Troup for maintaining this
    great package.
  * Fix heap overflow in signal.c, reported by Core Security
    Technologies and fixed upstream.

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 26 Aug 2008 23:44:04 +0200

ed (0.7-1) unstable; urgency=low

  * New upstream release.  Closes: #398433
   * Uses system regex header.  Closes: #294692

  * 01_buf.c-tmpfile.dpatch, 02_-Wall-cleanup.dpatch,
    04_Makfile.in-no-libed.dpatch: removed, superseded by upstream
    changes.
  * 03_ed.1-cleanup.dpatch, 05_ed.1-warning-fix.dpatch,
    06_testsuite-Makefile.dpatch: updated.
  * debian/rules (checkdir): update to use ed.h  instead.
  * debian/rules (build): don't need to chmod +x any files, hack around
    configure sigsetjmp() tests or use -Dlint anymore.
  * debian/rules (test): update to use 'make check'
  * debian/rules (binary): ed.info and ed.1 moved into doc/.  POSIX went
    away, THANKS became AUTHORS.
  * debian/copyright: update (GPLv3, GFDL 1.2 - no invariants).

  * debian/rules (checkdir): Patch from David Weinehall <tao@debian.org>
    to avoid use of XSI-ism -a argument to test.  Closes: #256206

  * debian/rules (test): Patch from NIIBE Yutaka <gniibe@fsij.org> to not
    run the testsuite when cross building.  Closes: #285298

  * 07_ed.1-spelling-fixes.dpatch: new patch containing spelling fixes for
    manpage.  Pointed out by Matt Taggart <taggart@debian.org> and A Costa
    <agcosta@gis.net>.  Closes: #311238, #395833

  * debian/control (Standards-Version): update to 3.7.2.2.

 -- James Troup <james@nocrew.org>  Sun,  5 Aug 2007 16:04:10 +0100

ed (0.2-20) unstable; urgency=low

  * Move to dpatch; existing non-debian/ changes split into
    01_buf.c-tmpfile, 02_-Wall-cleanup, 03_ed.1-cleanup and
    04_Makfile.in-no-libed.
  * debian/rules: include /usr/share/dpatch/dpatch.make.
  * debian/rules (build): depend on patch-stamp.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched.
  * debian/rules (.PHONY): add 'patch' and 'unpatch'.
  * debian/control (Build-Depends): add dpatch.

  * debian/rules: update copyright.
  * debian/copyright: likewise and update upstream URL.
  * debian/changelog: remove local-variables stuff.

  * debian/rules: use install_foo convenience variables.
  * debian/rules (clean): remove *~ in any subdirectory.

  * debian/control (Standards-Version): bump to 3.5.8.0.
  * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.

  * config, test/*: unused aegis cruft; removed.
  * Undo s/%/$/ change in RCS keywords.

  * debian/postinst: provide editor.1.gz alternative; thanks to Ben Harris
    <bjh21@cam.ac.uk> for the suggestion.  Closes: #122517
  * 05_ed.1-warning-fix.dpatch: new patch to avoid groff warnings.  Thanks
    to Colin Watson <cjwatson@debian.org>.  Closes: #179957
  * 06_testsuite-Makefile.dpatch: new patch to ensure the test suite bombs
    out on errors.  Thanks to Joel Baker <fenton@debian.org>.
    Closes: #130327

 -- James Troup <james@nocrew.org>  Wed,  2 Apr 2003 17:19:47 +0100

ed (0.2-19) unstable; urgency=high

  * buf.c: argh; previous fix (in 97) was no fix at all.  Really fix the
    /tmp race by using tmpfile(3).
  * ed.1: various fixes by Matt Kraai <kraai@alumni.carnegiemellon.edu>.
    [#75509]
  * debian/postinst: register ed as an editor alternative with a low
    priority. [#49573]
  * debian/prerm: de-register ed on removal.

 -- James Troup <james@nocrew.org>  Mon, 27 Nov 2000 02:02:36 +0000

ed (0.2-18) unstable; urgency=low

  * debian/copyright: remove references to Linux.  Update location of GPL.
  * debian/postinst: create /usr/doc/ed symlink.  Info docs are now in
    /usr/share/info/; adjust call to install-info accordingly.
  * debian/prerm: remove /usr/doc/ed symlink.  Alter call to install-info
    as above.
  * debian/rules (binary-arch): install documentation into
    /usr/share/{doc,man,info}.
  * debian/control (Standards-Version): update to 3.1.1.1.
  * debian/rules (binary-arch): install more documentation (README, POSIX,
    NEWS, TODO and THANKS).

 -- James Troup <james@nocrew.org>  Sun,  2 Jan 2000 18:02:28 +0000

ed (0.2-17) unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.4.1.0.
  * debian/control (Maintainer): new address.
  * debian/copyright: ditto.
  * debian/rules: force definition of HAVE_SIGSETJMP in config.h to work
    around the problem of autoconf not detecting it (due to it being a
    macro).
  * Makefile.in: don't compile in libed.a as it's redundant old code
    superseded by code in glibc.  This reduces the ed binary by 23k.
    Thanks to Topi Miettinen <Topi.Miettinen@ml.tele.fi> for the
    suggestion.
  * glbl.c (exec_global), io.c (read_stream, get_stream_line), main.c
    (main, exec_command, get_matching_node_addr, strip_escapes), re.c
    (get_compiled_pattern), sub.c (extract_subst_template,
    substitute_matching_text): parentheses to quiet -Wall.

 -- James Troup <james@nocrew.org>  Thu,  8 Oct 1998 22:41:45 +0100

ed (0.2-16) unstable; urgency=low

  * debian/control (Standards-Version): updated to 2.4.0.0.
  * debian/copyright: correct the FSF's address.
  * debian/rules (build) : compile with -Wall.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Mon,  2 Mar 1998 23:11:52 +0000

ed (0.2-15) unstable; urgency=low

  * debian/control: Standards-Version 2.3.0.1 [#16753].
  * debian/copyright: reference to hello source package changed to reference
    ed.
  * debian/postinst: cleaned up.
  * debian/prerm: ditto.
  * debian/rules: cleaned up (no longer uses {,}).
  * debian/rules: new target test, which runs ed's testsuite.
  * debian/rules: binary-arch depends on test.
  * debian/rules: clean the files from the testsuite in the clean target.
  * debian/rules: compile ed with -g.
  * Uses pristine upstream source.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Sat, 10 Jan 1998 17:35:46 +0000

ed (0.2-14) unstable; urgency=low

  * Rebuilt with libc6.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 25 Jun 1997 13:37:46 +0100

ed (0.2-13) unstable; urgency=low

  * Patched buf.c to use tempnam() (fixes bug #9202).

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed, 30 Apr 1997 00:34:02 +0100

ed (0.2-12) unstable; urgency=low

  * New maintainer.
  * Updated to Standards-Version 2.1.1.2 (fixes bug #3726).
  * Removed Essential: tag.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Thu, 30 Jan 1997 20:21:23 +0000

Changes for ed-0.2-10
	elf package
	* added dependency on libc5

Changes for ed-0.2-9
	* rebuilt for elf

Changes for ed-0.2-8

Priority:  Routine
Changes:  Added texinfo file and Makefile in usr/doc/ed

Changes for ed-0.2-7

Priority:  High
Changes:  in /usr/bin, symlink red to /bin/ed

Changes for ed-0.2-6

Priority:  High
Changes:  install ed as /bin/ed instead of /usr/bin/ed

Changes for ed-0.2-5

Priority:  Routine
Changes:  Added "Essential: Yes" to control file

Changes for ed-0.2-4

1.  Fixed error in debian.control VERSION and PACKAGE_REVISION fields.

Changes for ed-0.2-3

1.  Reposition ed.1 into /usr/man/man1 instead of /usr/man.

Changes for ed-0.2-2

1.  Added ed.info, inadvertantly left out of the .1 package.

2.  Installed /usr/bin/red, inadvertantly left out of the .1 package.

3.  Went to Ian Murdock style debian.rules file.

4.  Cleaned up control file description and extended description.

5.  Added --quiet option to install-info invocation in postrm script.

Changes for ed-0.2-1

Modifications to the GNU ed-0.2 package
Changes by Bill Mitchell <mitchell@mdd.comm.mot.com>

1.  Added debian.* files
2.  Changed CFLAGS and LDFLAGS in Makefile.in
